#!/bin/bash
CVMVER=8.0
LIBDIR=../lib64
FILESET='LIC* libcvm_em64t.* libcvm_em64t_debug.* regtest_cvm_em64t.exe regtest_cvm_em64t_debug.exe'
FILESET_ILP64='LIC* libcvm_em64t_ilp64.* libcvm_em64t_ilp64_debug.* regtest_cvm_em64t_ilp64.exe regtest_cvm_em64t_ilp64_debug.exe'
LD_LIBRARY_PATH_ORIG=${LD_LIBRARY_PATH}

pushd ${LIBDIR}/mingw
cp *.a ../
popd

make clean EM64T=1
make       EM64T=1
pushd $LIBDIR
regtest_cvm_em64t
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.lapack.em64t.mingw.tar
rm -f ../cvmlib.$CVMVER.lapack.em64t.mingw.tar.gz
tar -cf ../cvmlib.$CVMVER.lapack.em64t.mingw.tar ${FILESET}
gzip ../cvmlib.$CVMVER.lapack.em64t.mingw.tar
popd


make clean EM64T=1 ILP64=1
make       EM64T=1 ILP64=1
pushd $LIBDIR
regtest_cvm_em64t_ilp64
if test "$?" != 0
then
  exit
fi
rm -f ../cvmlib.$CVMVER.lapack.em64t.ilp64.mingw.tar
rm -f ../cvmlib.$CVMVER.lapack.em64t.ilp64.mingw.tar.gz
tar -cf ../cvmlib.$CVMVER.lapack.em64t.ilp64.mingw.tar ${FILESET_ILP64}
gzip ../cvmlib.$CVMVER.lapack.em64t.ilp64.mingw.tar
popd
